LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XTextContent Interface Referencepublished

enables objects to be inserted into a text and to provide their location in a text once they are inserted into it. More...

`import"XTextContent.idl";`

Inheritance diagram for XTextContent:

## Public Member Functions
void | attach ([in] com::sun::star::text::XTextRange xTextRange) raises ( com::sun::star::lang::IllegalArgumentException )
| is called when this object gets embedded in a text. More...
com::sun::star::text::XTextRange | getAnchor ()
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

enables objects to be inserted into a text and to provide their location in a text once they are inserted into it.

Developers Guide
  Text Documents - Navigating - Locating Text Contents

## Member Function Documentation

## ◆ attach()

void attach | ( | [in] com::sun::star::text::XTextRange | xTextRange | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

is called when this object gets embedded in a text.

This acts like a multi-phase construction, thus the object may be invalid until it is attached to a text position. Usually this method is called from within XText::insertTextContent().

Both text objects and text content objects may only be connected to each other if they are created by the same component. When implementing new components, this behavior is deprecated.

## ◆ getAnchor()

com::sun::star::text::XTextRange getAnchor | ( |  | ) |

Returns
  the text range to which the content is attached.

Note: The anchor of the actual implementation for text tables does not have a position in the text. Thus that anchor can not be used for some operation like attach() for example or com::sun::star::text::insertTextContent or other function that require the object to have a position in the text.

The reason why a text table still needs an anchor is that for example tables should be insertable via com::sun::star::text::insertTextContent and that interface uses a parameter of that type.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XTextContent.idl